%define pmacutilsver 2.1
%define ppc64utilsver 1.1

Summary: Linux/PPC64 specific utilities
Name: ppc64-utils
Version: 0.8
Release: 1
License: GPL and OSL
Group: System Environment/Base
Source0: ppc64-utils-%{ppc64utilsver}.tar.gz
Source1: addRamDisk.c
Source2: addSystemMap.c
Source3: mkzimage
Source4: zImage.lds
Source5: pmac-utils-%{pmacutilsver}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
ExclusiveArch: ppc ppc64
Requires: binutils yaboot
BuildRequires: linuxdoc-tools

%description
A collection of utilities for Linux on PPC64 platforms.

%prep
%setup -n ppc64-utils-%{ppc64utilsver} -a 5
cp %{SOURCE1} %{SOURCE2} %{SOURCE3} %{SOURCE4} .

%build
make
find -type f -exec perl -pi -e "s,/usr/sbin/ibmras,%{_sbindir},g" {} \;
cc -O -fno-builtin -DSTDC_HEADERS addRamDisk.c -o addRamDisk
cc -O -fno-builtin -DSTDC_HEADERS addSystemMap.c -o addSystemMap
cd pmac-utils-%{pmacutilsver}
make clean nvsetenv nvsetenv.8

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man8
mkdir -p $RPM_BUILD_ROOT/usr/share/ppc64-utils
install -m 755 mkzimage $RPM_BUILD_ROOT/%{_bindir}
install -m 755 addRamDisk $RPM_BUILD_ROOT/sbin
install -m 755 addSystemMap $RPM_BUILD_ROOT/sbin
install -m 644 zImage.lds $RPM_BUILD_ROOT/usr/share/ppc64-utils
cd pmac-utils-%{pmacutilsver}
install -m 755 nvsetenv $RPM_BUILD_ROOT/sbin
install -m 755 nvsetenv.8 $RPM_BUILD_ROOT/%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README COPYRIGHT
/sbin/addRamDisk
/sbin/addSystemMap
/sbin/nvsetenv
%{_sbindir}/*
%{_bindir}/*
/usr/share/ppc64-utils/
%{_mandir}/man8/*

%changelog
* Tue Oct 26 2004 Jeremy Katz <katzj@redhat.com> - 0.8-1
- update to new upstream ppc64-utils tarball from IBM (version 1.1)
  - fix update_flash to work with rtas_flash built into the kernel (#133836)

* Wed Oct 20 2004 Jeremy Katz <katzj@redhat.com> - 0.7-8
- add some more error handling to new mkzimage

* Wed Oct 20 2004 Jeremy Katz <katzj@redhat.com> - 0.7-7
- New mkzimage script from dhowells that works with the zImage.stub in 
  our 2.6 kernels
  - use mktemp instead of predictable filenames in /tmp
  - use the zImage.lds in the package instead of output by the script

* Wed Sep 22 2004 Jeremy Katz <katzj@redhat.com> - 0.7-5
- rebuild

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Mar  3 2004 Jeremy Katz <katzj@redhat.com> - 0.7-3
- rebuild

* Tue Nov  4 2003 Matt Wilson <msw@redhat.com> 0.7-2
- make clean before buildinig nvsetenv to nuke the old binary (#107943)

* Tue Sep 16 2003 Jeremy Katz <katzj@redhat.com> 0.7-1
- mkzimage bugfix

* Mon Aug 18 2003 Matt Wilson <msw@redhat.com> 0.6-1
- incorporate ppc64-utils 0.4 from IBM

* Mon Aug 11 2003 Matt Wilson <msw@redhat.com> 0.5-1
- add nvsetenv

* Wed Jul 30 2003 Matt Wilson <msw@redhat.com> 0.4-1
- add mkzimage for pSeries zImage creation with initrd

* Tue May 20 2003 Matt Wilson <msw@redhat.com> 0.3-1
- add addSystemMap from arch/ppc64/boot/addSystemMap.c

* Fri Apr 18 2003 Jeremy Katz <katzj@redhat.com> 0.2-1
- make addRamDisk quieter by default, set $VERBOSE to get old output

* Tue Apr 15 2003 Jeremy Katz <katzj@redhat.com> 0.1-1
- include addRamDisk from kernel source tree (arch/ppc64/boot/addRamDisk.c) 
  to create kernel/initrd blobs on iSeries


